import logging
from time import time


def report_timing(func):
    def func_wrapper(*args, **kwargs):
        logger = logging.getLogger("TIME REPORT")
        tic = time()
        result = func(*args, **kwargs)
        toc = time()
        dt = toc - tic
        module_name = func.__module__.split(".")[-1]
        logger.info(f'{module_name}.{func.__name__}(...)'.ljust(40)+f'{dt:6.3f} s'.rjust(30))
        return result
    return func_wrapper
