from ntsim.Primary import *
from ntsim.utils.report_timing import report_timing

class Neutrino(Primary):
    def __init__(self):
        super().__init__()
        self.log = logging.getLogger('NeutrinoPrimary')
        self.primary_propagator = {}

    def configure(self,opts):
        self.configure_generator(opts)
        self.configure_propagator(opts)

    def configure_generator(self,opts):
        if opts.primary_generator == 'nupropagator':
            from nupropagator.nugen import NuGen
            self.primary_generator = NuGen(opts)
        else:
            self.log.error('unknown neutrino generator:'+opts.primary_generator)

    def configure_propagator(self,opts):
        for m in opts.primary_propagator:
            if m == 'nupropagator':
                from nupropagator.nuprop import NuProp
                self.primary_propagator['neutrinoPropagator'] = NuProp(opts)
        else:
            self.log.error('unknown neutrino propagator:'+opts.primary_propagator)

    def get_photons_sampling_weight(self):
        pass

    def get_vertices(self):
        pass

    def next(self):
        pass    
